/*
 * @Description: In User Settings Edit
 * @Author: huangtianyang
 * @Date: 2020-01-06 13:32
 */

import utils from '../../scripts/hlsUtil';
import {get} from '../utils/hlsHttp'

// lowcode/lowcode_page_config/lowcode_page_tab/FYSQD_NEW/10141?typeId=1305852827234414594&documentCategory=801009

export async function query(layoutCode, param) {
  let config = {
    datas: {},
    param: {},
  };
  try {
    const data = await get(`/hllc/v1/${utils.getOrganizationId()}/doc-layouts/config/app/${layoutCode}`, param);
    config.param = param;
    config.datas = data || {};
    return config;
  } catch (err) {
    return config;
  }
}

export async function queryRoute(match, param) {
  let config = {
    datas: {},
    param: {},
  };
  try {
    const res = await get(
      `/hllc/v1/${getOrganizationId()}/rule-engine-low-code?route=${window.encodeURIComponent(
        match
      )}`
    );
    if (res) {
      const data = await this.query(res.routeResultValue, param);
      return data;
    } else {
      return config;
    }
  } catch (err) {
    return config;
  }
  
}
